package com.oqpo.api.enums;

import lombok.Getter;
import lombok.Setter;

public enum DpstStCd {

    DPST_REQ("DP01", "입금요청"), //
    DPST_APPROVE("DP02", "입금승인"), //
	DPST_REJECT("DP03", "입금반려"), //
    ;

    DpstStCd(String cd, String nm) {
        this.cd = cd;
        this.name = nm;
    }

    @Getter
    @Setter
    private String cd;

    @Getter
    @Setter
    private String name;

    public static String getName(String ccd) {
        DpstStCd[] values = DpstStCd.values();
        for (DpstStCd icd : values) {
            if (icd.cd.equals(ccd)) {
                return icd.name;
            }
        }
        return ccd;
    }

}
